Bug 750009 - Review Request: libburn1 - Library for reading, mastering and writing optical discs
Summary: Review Request: libburn1 - Library for reading, mastering and writing optical...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-29 21:26 UTC by Robert Scheck
Modified: 2017-09-15 21:50 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-13 08:19:11 UTC
besser82: fedora-review+


Attachments (Terms of Use)

Description Robert Scheck 2011-10-29 21:26:34 UTC
Spec URL: http://labs.linuxnetz.de/bugzilla/libburn1.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/libburn1-1.1.6-2.src.rpm
Description:
Libburn is a library by which preformatted data get onto optical media:
CD, DVD and BD (Blu-Ray). Technically it uses /dev/srX at recent Linux
systems. Libburn also offers a facility for reading data blocks from its
drives without using the normal block device I/O. Additionally the block
device driver usually needs reloading of the drive tray in order to make
available freshly written data. The libburn read function does not need
such a reload. Further the code of libburn is independent of cdrecord.


RHEL 6 is shipping libburn-0.7.0-1.el6, but Red Hat doesn't seem to be
interested to update libburn to a more recent version, which would be
required to build libisoburn/xorriso for RHEL 6. This package can be
installed in parallel with the regular RHEL 6 package due to renaming.

Comment 1 R P Herrold 2014-09-08 19:05:18 UTC
rpmlint notes
libburn1.src:76: W: macro-in-comment %doc
libburn1.src:13: W: mixed-use-of-spaces-and-tabs (spaces: line 13, tab: line 3)

Robert - could you attend to these and I'll finish the review

Comment 4 Robert Scheck 2015-12-26 16:37:06 UTC
Russell, could you proceed with the review, please?

Spec URL: http://labs.linuxnetz.de/bugzilla/libburn1.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/libburn1-1.4.2-2.src.rpm

Comment 6 Björn 'besser82' Esser 2017-08-23 09:58:23 UTC
Taking this…

Comment 7 Björn 'besser82' Esser 2017-08-23 10:36:19 UTC
From a quick view over the spec-file:

* You can drop Group, BuildRoot, `rm -rf $RPM_BUILD_ROOT`, %clean
  and %defattr.

* You may want to strip %changelog from ancient entries.

* `%{!?_licensedir:%global license %%doc}` isn't needed anymore, simply
  use plain `%license`, which works on any dist now.

* `make %{?_smp_mflags}` should be `%make_build` now.

* `make install DESDIR=…` should be `%make_install` now.

* Explicit Requires: pkgconfig in -devel isn't needed anymore.

***

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines

  ---> That's due the need for a bootstrap-chroot for mock, when
       building for el6.

- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file COPYING is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

  ---> As stated in my comments about the spec file.

- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 1884160 bytes in 43 files.
  See:
  http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation

  ---> Well, one could argue about that…  Documentation is less than 2MiB.
       I don't see any issue with that.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "GPL (v2 or later)", "GPL (with incorrect
     FSF address)", "Unknown or generated". 114 files have unknown license.
     Detailed output of licensecheck in
     /home/besser82/fedora/review/750009-libburn1/licensecheck.txt

     ---> MIT/X11 is comming from an autotools script, GPLv2+ from libtool
          helper script.  According to the COPYRIGHT file GPLv2+ is fine.

[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed

     ---> Please drop it.

[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines

     ---> Some minor issues are present, but those can be fixed during import.

[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Buildroot is not present
     Note: Buildroot: present but not needed

     ---> Please drop it.

[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

     ---> Please drop it.

[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     libburn1-debuginfo

     ---> debuginfo is autogenerated, so no issue here.

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint

     ---> That's due the need for a bootstrap-chroot for mock, when
          building for el6.

[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 1925120 bytes in /usr/share

     ---> I'm fine with that.  Since most of it is in the devel-package.

[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.4.3 starting (python version = 3.6.2)...
Start(bootstrap): init plugins
INFO: selinux enabled
Finish(bootstrap): init plugins
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start(bootstrap): chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled yum cache
Start(bootstrap): cleaning yum metadata
Finish(bootstrap): cleaning yum metadata
INFO: enabled HW Info plugin
Mock Version: 1.4.3
INFO: Mock Version: 1.4.3
Finish(bootstrap): chroot init
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled yum cache
Start: cleaning yum metadata
Finish: cleaning yum metadata
INFO: enabled HW Info plugin
Mock Version: 1.4.3
INFO: Mock Version: 1.4.3
Finish: chroot init
INFO: installing package(s): /home/besser82/fedora/review/750009-libburn1/results/libburn1-debuginfo-1.4.6-1.el6.x86_64.rpm /home/besser82/fedora/review/750009-libburn1/results/libburn1-1.4.6-1.el6.x86_64.rpm /home/besser82/fedora/review/750009-libburn1/results/libburn1-devel-1.4.6-1.el6.x86_64.rpm
ERROR: Command failed: 
 # /usr/bin/yum --installroot /var/lib/mock/epel-6-x86_64/root/ --releasever 6 install /home/besser82/fedora/review/750009-libburn1/results/libburn1-debuginfo-1.4.6-1.el6.x86_64.rpm /home/besser82/fedora/review/750009-libburn1/results/libburn1-1.4.6-1.el6.x86_64.rpm /home/besser82/fedora/review/750009-libburn1/results/libburn1-devel-1.4.6-1.el6.x86_64.rpm --setopt=tsflags=nocontexts



Rpmlint
-------
Checking: libburn1-1.4.6-1.el6.x86_64.rpm
          libburn1-devel-1.4.6-1.el6.x86_64.rpm
          libburn1-debuginfo-1.4.6-1.el6.x86_64.rpm
          libburn1-1.4.6-1.el6.src.rpm
libburn1.x86_64: W: spelling-error %description -l en_US Libburn -> Lib burn, Lib-burn, Cliburn
libburn1.x86_64: W: spelling-error %description -l en_US preformatted -> reformatted, p reformatted, formatted
libburn1.x86_64: W: spelling-error %description -l en_US libburn -> lib burn, lib-burn, Cliburn
libburn1.x86_64: W: spelling-error %description -l en_US cdrecord -> rerecord, recorded, recorder
libburn1.x86_64: W: invalid-url URL: http://libburnia-project.org/ The read operation timed out
libburn1.x86_64: W: shared-lib-calls-exit /usr/lib64/libburn1.so.4.99.0 exit@GLIBC_2.2.5
libburn1.x86_64: E: incorrect-fsf-address /usr/share/doc/libburn1-1.4.6/COPYING
libburn1.x86_64: E: incorrect-fsf-address /usr/share/doc/libburn1-1.4.6/COPYRIGHT
libburn1-devel.x86_64: W: only-non-binary-in-usr-lib
libburn1-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/libburn-1.4.6/libburn/cdtext.c
libburn1.src: W: spelling-error %description -l en_US Libburn -> Lib burn, Lib-burn, Cliburn
libburn1.src: W: spelling-error %description -l en_US preformatted -> reformatted, p reformatted, formatted
libburn1.src: W: spelling-error %description -l en_US libburn -> lib burn, lib-burn, Cliburn
libburn1.src: W: spelling-error %description -l en_US cdrecord -> rerecord, recorded, recorder
libburn1.src: W: strange-permission libburn-1.4.6.tar.gz 444
4 packages and 0 specfiles checked; 2 errors, 13 warnings.

---> LGTM



Requires
--------
libburn1-debuginfo (rpmlib, GLIBC filtered):

libburn1-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libburn1(x86-64)
    libburn1.so.4()(64bit)
    pkgconfig

libburn1 (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libburn1.so.4()(64bit)
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
libburn1-debuginfo:
    libburn1-debuginfo
    libburn1-debuginfo(x86-64)

libburn1-devel:
    libburn1-devel
    libburn1-devel(x86-64)
    pkgconfig(libburn1-1)

libburn1:
    libburn1
    libburn1(x86-64)
    libburn1.so.4()(64bit)
    libburn1.so.4(LIBBURN4)(64bit)



Source checksums
----------------
http://files.libburnia-project.org/releases/libburn-1.4.6.tar.gz :
  CHECKSUM(SHA256) this package     : 9d36faab25478c01122a65873133b7fc60eb5ffbe12710d5757a7c3574227071
  CHECKSUM(SHA256) upstream package : 9d36faab25478c01122a65873133b7fc60eb5ffbe12710d5757a7c3574227071


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m epel-6-x86_64 -o--bootstrap-chroot  --no-cleanup-after --no-clean -b 750009
Buildroot used: epel-6-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


===== Solution =====

Package APPROVED!!!

Comment 8 Robert Scheck 2017-08-23 13:03:47 UTC
Unfortunately our new fancy fedrepo_req has a bug, thus I am incorrectly
updating "Fedora EPEL" -> "Fedora" to achieve successful SCM request, see
also https://pagure.io/fedrepo_req/issue/78 for the reported bug and/or
https://pagure.io/releng/fedora-scm-requests/issue/265 with the refusal.

Comment 9 Gwyn Ciesla 2017-08-23 14:47:45 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/libburn1

Comment 10 Fedora Update System 2017-08-25 12:17:37 UTC
libburn1-1.4.6-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b45f479d6b

Comment 11 Fedora Update System 2017-08-27 06:48:46 UTC
libburn1-1.4.6-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b45f479d6b

Comment 12 Fedora Update System 2017-08-28 22:47:26 UTC
libburn1-1.4.6-5.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b45f479d6b

Comment 13 Fedora Update System 2017-09-01 03:49:10 UTC
libburn1-1.4.6-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-f1a4921ad4

Comment 14 Fedora Update System 2017-09-13 08:19:11 UTC
libburn1-1.4.6-5.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-09-15 21:50:09 UTC
libburn1-1.4.6-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.